<?php

namespace App\Model;

use Illuminate\Database\Eloquent\Model;

class FinanceDetail extends Model
{
    protected $table = "finance_detail"; //指定表
    const CREATED_AT = 'crt_time';
    const UPDATED_AT = 'upd_time';
    protected $dateFormat = 'U';

    public static $status = [
        0 => '未确认',
        1 => '确认中',
        2 => '已确认',
    ];

    const Payment_one = -1;
    const Payment_two = 0;
    const Payment_three = 1;
    const Payment_four = 2;

    public static $payment_status = [
        -1 => 'FAILED',
        0 => 'DEFAULT',
        1 => 'PENDING',
        2 => 'SUCCESS',
    ];
}
